<template>
  <button>
    <slot> </slot>
  </button>
</template>

<style lang="scss" scoped>
button {
  background-color: #66B6FF;
  padding: 10px 20px;
  border-radius: 4px;
  color: #fff;
  display: inline-flex;
  align-items: center;
  cursor: pointer;
  font-weight: 400;
  font-size: 14px;
  line-height: 14px;
  position: relative;
  border: none;
  transition: background-color  0.4s;

  &:hover {
    background-color: rgba(102, 182, 255, 0.8);
  }
}

</style>
